#!/bin/sh

EXE_FILE=sdcacryptotinyserver
WWW_MNG_FILE=sdcasofcertmng.html
WWW_TEST_FILE=testsdcasecurityclient.html
SDCABIN_PATH=/opt/com.sdca.certmng/bin/
SDCALIBRARY_PATH=/opt/com.sdca.certmng/lib/
SDCASCRIPT_PATH=/opt/com.sdca.certmng/www/sdcasof
QAXBROWSER_PATH=/opt/qianxin.com/qaxbrowser/
LBROWSER_PATH=/usr/sbin/

export PATH="$SDCABIN_PATH:$PATH"
export LD_LIBRARY_PATH="$SDCALIBRARY_PATH:$LD_LIBRARY_PATH"


cd /opt/com.sdca.certmng/bin/
echo "cd /opt/com.sdca.certmng/bin/"

cd $SDCABIN_PATH
echo $SDCABIN_PATH

if [ -f $SDCABIN_PATH/$EXE_FILE ] ; then
  
    SERVER_PID=$(ps -ef|grep $EXE_FILE|grep -v grep|awk '{print $2}')
    if [ -n "$SERVER_PID" ]; then 
        echo "$EXE_FILE PID: $SERVER_PID"
        echo "$EXE_FILE is running"
    else
        sleep 1
        nohup ./$EXE_FILE >/dev/null 2>&1 &
        sleep 1	
        if [ -n "$(ps -ef|grep $EXE_FILE|grep -v grep|awk '{print $2}')" ]; then 
            echo "$EXE_FILE PID: $(ps -ef|grep $EXE_FILE|grep -v grep|awk '{print $2}')"
            echo "$EXE_FILE is running"           
        else
            sleep 3
            killall $EXE_FILE
            nohup ./$EXE_FILE >/dev/null 2>&1 &		
              if [ -n "$(ps -ef|grep $EXE_FILE|grep -v grep|awk '{print $2}')" ]; then 
                 echo "$EXE_FILE PID: $(ps -ef|grep $EXE_FILE|grep -v grep|awk '{print $2}')"
                 echo "$EXE_FILE is running"           
              else
                 echo "Failed to start. Please restart the com.sdca.certmng installation."
                 exit 1
              fi
        fi
    fi
    if [ -f $SDCASCRIPT_PATH/$WWW_MNG_FILE ] ; then
	       if [ -f $QAXBROWSER_PATH] ; then
					$(xdg-open "file:///$SDCASCRIPT_PATH/$WWW_MNG_FILE" )
		 else
# 				   $($QAXBROWSER_PATH/qaxbrowser --app="file:///$SDCASCRIPT_PATH/$WWW_MNG_FILE" --window-size="750,530")				
					$(xdg-open "file:///$SDCASCRIPT_PATH/$WWW_MNG_FILE" )
		 fi
    else
        echo “$SDCASCRIPT_PATH/$WWW_MNG_FILE does not exist.”
    fi
else
    echo “$SDCABIN_PATH/$EXE_FILE does not exist.”
fi
